Anonymous | Login
Project:
RSS
  
News | My View | View Issues | Roadmap | Summary

View Issue DetailsJump to Notes ] Issue History ] Print ]
ID
0030050
TypeCategorySeverityReproducibilityDate SubmittedLast Update
defect[Openbravo ERP] Z. Othersminorhave not tried2015-05-30 19:172015-11-14 13:02
ReportershuehnerView Statuspublic 
Assigned Toshuehner 
PrioritynormalResolutionfixedFixed in Version3.0PR15Q3
StatusclosedFix in branchFixed in SCM revision35c004afbdca
ProjectionnoneETAnoneTarget Version
OSAnyDatabaseAnyJava version
OS VersionDatabase versionAnt version
Product VersionSCM revision 
Review Assigned Toalostale
Web browser
ModulesCore
Regression level
Regression date
Regression introduced in release
Regression introduced by commit
Triggers an Emergency PackNo
Summary

0030050: Lots of warnings shown when generating javadoc

DescriptionWhen looking at java doc warnings shown by either eclispe or commandline ant generate.java.doc (especially when using java7 version)

Lots of those are shown and can be easily fixed up.
Steps To ReproduceEnable eclipse javadoc warnings to
- validate existing javadoc,param
- consider not just public but up to private
And run ant generate.java.doc with openjdk-7


-> check output
Proposed SolutionFix the javadoc syntax errors
TagsNo tags attached.
Attached Files

- Relationships Relation Graph ] Dependency Graph ]
blocks feature request 0031477 newshuehner Tracking issue to reduce the huge number of eclipse warnings in pi 

-  Notes
(0077906)
hgbot (developer)
2015-05-30 21:31

Repository: erp/devel/pi
Changeset: 35c004afbdca70140a5b380015721d5b9c6cfc3a
Author: Stefan Hühner <stefan.huehner <at> openbravo.com>
Date: Sat May 30 19:19:54 2015 +0200
URL: http://code.openbravo.com/erp/devel/pi/rev/35c004afbdca70140a5b380015721d5b9c6cfc3a [^]

Fixed 30050: cleanup javadoc warnings
This commit clean up all javadoc warnings as shown by eclipse or
ant generate.java.doc
Exception are 3 warnings inside CSSMinimizer.java which is external code
and will should be fixed differently (upstream)

Most fixes are:
- Deleting useless java doc tags (useless as not documenting anything)
- Fixing up paramater references and link target

---
M modules/org.openbravo.advpaymentmngt/src/org/openbravo/advpaymentmngt/ad_actionbutton/AddOrderOrInvoice.java
M modules/org.openbravo.advpaymentmngt/src/org/openbravo/advpaymentmngt/hqlinjections/AddPaymentOrderInvoicesTransformer.java
M modules/org.openbravo.advpaymentmngt/src/org/openbravo/advpaymentmngt/process/FIN_AddPayment.java
M modules/org.openbravo.advpaymentmngt/src/org/openbravo/advpaymentmngt/process/FIN_PaymentMonitorProcess.java
M modules/org.openbravo.client.application/src/org/openbravo/client/application/DynamicExpressionParser.java
M modules/org.openbravo.client.application/src/org/openbravo/client/application/event/ReorderCascadingChildDeletionsHandler.java
M modules/org.openbravo.client.myob/src/org/openbravo/client/myob/MyOBUtils.java
M modules/org.openbravo.client.querylist/src/org/openbravo/client/querylist/QueryListDataSource.java
M modules/org.openbravo.financial.paymentreport/src/org/openbravo/financial/paymentreport/erpCommon/ad_reports/PaymentReportDao.java
M modules/org.openbravo.service.datasource/src/org/openbravo/service/datasource/ADTreeDatasourceService.java
M modules/org.openbravo.service.datasource/src/org/openbravo/service/datasource/HQLDataSourceService.java
M modules/org.openbravo.service.datasource/src/org/openbravo/service/datasource/LinkToParentTreeDatasourceService.java
M modules/org.openbravo.service.datasource/src/org/openbravo/service/datasource/TreeDatasourceService.java
M modules/org.openbravo.userinterface.selector/src/org/openbravo/userinterface/selector/CustomQuerySelectorDatasource.java
M src/org/openbravo/base/secureApp/HttpSecureAppServlet.java
M src/org/openbravo/base/secureApp/LoginUtils.java
M src/org/openbravo/base/secureApp/OrgTree.java
M src/org/openbravo/base/session/HostNameTask.java
M src/org/openbravo/configuration/ConfigureOption.java
M src/org/openbravo/costing/CostAdjustmentProcess.java
M src/org/openbravo/erpCommon/ad_forms/About.java
M src/org/openbravo/erpCommon/ad_forms/AcctServer.java
M src/org/openbravo/erpCommon/ad_forms/ModuleManagement.java
M src/org/openbravo/erpCommon/ad_forms/Registration.java
M src/org/openbravo/erpCommon/ad_process/HeartbeatProcess.java
M src/org/openbravo/erpCommon/ad_process/assets/AssetLinearDepreciationMethodProcess.java
M src/org/openbravo/erpCommon/businessUtility/AuditTrailDeletedRecords.java
M src/org/openbravo/erpCommon/businessUtility/COAUtility.java
M src/org/openbravo/erpCommon/modules/ImportModule.java
M src/org/openbravo/erpCommon/modules/ModuleTree.java
M src/org/openbravo/erpCommon/modules/ModuleUtiltiy.java
M src/org/openbravo/erpCommon/obps/ActivationKey.java
M src/org/openbravo/erpCommon/utility/ComboTableData.java
M src/org/openbravo/erpCommon/utility/UsedByLink.java
M src/org/openbravo/erpCommon/utility/Utility.java
M src/org/openbravo/erpCommon/utility/poc/EmailManager.java
M src/org/openbravo/erpCommon/utility/reporting/printing/PrintController.java
M src/org/openbravo/scheduling/OBScheduler.java
---
(0077909)
alostale (developer)
2015-06-01 08:34

Code reviewed (no testing required)
(0077949)
gorkaion (developer)
2015-06-01 17:07

Does it have sense to update core's Eclipse preferences to include this new warnings for javadoc?

In case it does I'd also include warnings for unused parameter values. And probably others that we check on code reviews that Eclipse could help to detect.

- Issue History
Date Modified Username Field Change
2015-05-30 19:17 shuehner New Issue
2015-05-30 19:17 shuehner Assigned To => platform
2015-05-30 19:17 shuehner Modules => Core
2015-05-30 19:17 shuehner Triggers an Emergency Pack => No
2015-05-30 21:31 hgbot Checkin
2015-05-30 21:31 hgbot Note Added: 0077906
2015-05-30 21:31 hgbot Status new => resolved
2015-05-30 21:31 hgbot Resolution open => fixed
2015-05-30 21:31 hgbot Fixed in SCM revision => http://code.openbravo.com/erp/devel/pi/rev/35c004afbdca70140a5b380015721d5b9c6cfc3a [^]
2015-05-30 21:35 shuehner Assigned To platform => shuehner
2015-06-01 08:34 alostale Review Assigned To => alostale
2015-06-01 08:34 alostale Note Added: 0077909
2015-06-01 08:34 alostale Status resolved => closed
2015-06-01 08:34 alostale Fixed in Version => 3.0PR15Q3
2015-06-01 17:07 gorkaion Note Added: 0077949
2015-11-14 13:02 shuehner Relationship added blocks 0031477


Copyright © 2000 - 2009 MantisBT Group
Powered by Mantis Bugtracker